module prm_4
  implicit none

!-- $B6u4V2rA|EY$N@_Dj(B ----
  integer    , parameter :: im    = 31                ! $B3J;RE@$N@_Dj(B(x)
  integer    , parameter :: km    = 10                ! $B3J;RE@$N@_Dj(B(z)
  real       , parameter :: dx    = 50.e3             ! 1 $B3J;RE@4V3V(B
  integer    , parameter :: kdisp = 200

!-- $BJ*M}%Q%i%a!<%?(B ------
!  real    , parameter :: rho   = 910.              ! $BI9$NL)EY(B kg/m^{-3}
!  real    , parameter :: g     = 9.80065           ! $B=ENO2CB.EY(B m/s^{-2}
  real    , parameter :: s_a   = 60. * 60. * 24. * 365. ! second/year

!$B=i4|29EYJ,I[$NIA<L$GI,MW(B
  real    , parameter :: gamma = 42.e-3            ! $BCO3LG.N.NL(B W/m^{-2}
  real    , parameter :: c_p   = 2009.             ! $BHfG.(B J kg^{-1} K^{-1}
  real    , parameter :: k_ice = 2.1               ! $BG.EAF3EY(B W m^{-1}K^{-1}

   !-- $BCM$rJQ$($kM=Dj$N%Q%i%a!<%?(B 
!  real    , parameter :: n     = 2.                ! Flow law $B$N6R(B 
!  real    , parameter :: A     = 1.e-16 / s_a      ! Flow law $B$N78?t(B
  real    , parameter :: hmax  = 3000.             ! $B=i4|9bEY(B m    
  real    , parameter :: T_s   = 210.              ! $BI=LL29EY(B($BBg5$29EY(B) K

!-- $B;~4V@QJ,%Q%i%a!<%?(B ---
  real    , parameter :: dt    = s_a                   ! 1 $BG/(B
!  integer    , parameter :: nt    = 100000              ! $B@QJ,;~4V(B
!  integer    , parameter :: ndisp = 1                ! $BI=<((B step
!  integer    , parameter :: nstep =  nt/ndisp

end module prm_4

